<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/TypeAnalysis/Visitor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::TypeAnalysis::Visitor</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../TypeAnalysis.html" >TypeAnalysis</a>
</div><div class="class-name">class Visitor

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/TypeAnalysis/Visitor.hh.html" target="detail">../Synopsis/TypeAnalysis/Visitor.hh</a></div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tVisitor_l_r">~Visitor</a>()  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_m_tVisitor_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line30" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lType_S_r">visit</a>(<a href="Type.html" >Type</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lType_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lBuiltinType_S_r">visit</a>(<a href="BuiltinType.html" >BuiltinType</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lBuiltinType_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lEnum_S_r">visit</a>(<a href="Enum.html" >Enum</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lEnum_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lClass_S_r">visit</a>(<a href="Class.html" >Class</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lClass_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lUnion_S_r">visit</a>(<a href="Union.html" >Union</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lUnion_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lCVType_S_r">visit</a>(<a href="CVType.html" >CVType</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lCVType_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPointer_S_r">visit</a>(<a href="Pointer.html" >Pointer</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lPointer_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lReference_S_r">visit</a>(<a href="Reference.html" >Reference</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lReference_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lArray_S_r">visit</a>(<a href="Array.html" >Array</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lArray_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line41" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lFunction_S_r">visit</a>(<a href="Function.html" >Function</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lFunction_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line42" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPointerToMember_S_r">visit</a>(<a href="PointerToMember.html" >PointerToMember</a>*)  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mVisitor_mvisit_lPointerToMember_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html#line43" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
